# Update memberOf

Tool to force update memberOf attributes of users on OpenLDAP directory using memberOf overlay.

## Requirements

  * [python-mylib](https://gogs.zionetrix.net/bn8/python-mylib)

## Installation

```
git clone https://gogs.zionetrix.net/bn8/updateMemberOf.git /usr/local/src/updateMemberOf
ln -s /usr/local/src/updateMemberOf/updateMemberOf /usr/local/sbin/updateMemberOf
```

## Usage

```
usage: updateMemberOf [-h] [-v] [-d] [-l LOGFILE] [-C] [-j] [-p] [-H HOST] [-D DN] [-P PWD] [-f FILTER] [-b BASE] [--v2] [-a ATTR]

Update memberOf attributes

optional arguments:
  -h, --help            show this help message and exit
  -v, --verbose         Enable verbose mode
  -d, --debug           Enable debug mode
  -l LOGFILE, --log-file LOGFILE
                        Log file path (default: None)
  -C, --console         Always log on console (even if log file is configured)
  -j, --just-try        Enable just-try mode
  -p, --progress        Enable progress bar

LDAP options:
  -H HOST, --host HOST  LDAP server URI (default: ldapi:///)
  -D DN, --dn DN        LDAP bind DN
  -P PWD, --password PWD
                        LDAP bind password
  -f FILTER, --filter FILTER
                        LDAP groups filter (default: (objectClass=posixGroup))
  -b BASE, --base BASE  LDAP group base DN
  --v2                  Utiliser le protocole LDAP v2.
  -a ATTR, --attr ATTR  Group members attribute (default: uniqueMember)
```

## Copyright

Copyright (c) 2013-2021 Benjamin Renard <brenard@zionetrix.net>

## License

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
